import { HttpResponse } from '../@types'
import request from './request'
import requestJava from './requestJava'

class scheduledTripService {
  // 取消跟团订单列表
  static async B2BRemoveOrder(param:any):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/sellorder_post_B2BRemoveOrder',param)
  }
  // 跟团订单列表
  static async  Getrecentorder(param:any):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getrecentorder',param)
  }
  // 待处理跟团订单列表
  static async GetWaitDealOrderPageList(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetWaitDealOrderPageList',param)
  }
  // 跟团订单提交
  static async SetOrderInfoForB2B(param:any):Promise<HttpResponse>{
    return request('sellorder_post_SetOrderInfoForB2B',param)
  }
  // 获取销售信息
  static async GetB2BSellByCustomerId(param:any):Promise<HttpResponse>{
    return request('app_customer_GetB2BSellByCustomerId',param)
  }
  // 获取客户信息
  static async GetCustomerSummary(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetCustomerSummary',param)
  }
  // 行程详情
  static async GetB2BTravelInfoV1(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetB2BTravelInfoV1',param)
  }
  // 获取线路
  static async GetB2BGroupSearchItem(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetGroupSearchItem',param)
  }
  // 获取出发城市
  static async GetB2BSite(param:any):Promise<HttpResponse>{
    return request('b2b_get_site',param)
  }
  // 获取分页数据
  static async GetB2BTravelPageList(param:any):Promise<HttpResponse>{
    return request('b2b_get_GetB2BTravelPageList',param)
  }
  // 获取地区数据
  static async GetSearchArea(param:any):Promise<HttpResponse>{
    return request('ws_get_GetSearchArea',param)
  }
  // 基础配置
  static async GetWebSiteConfig(param:any):Promise<HttpResponse>{
    return request('ws_get_GetWebSiteConfig',param)
  }
}

export default scheduledTripService
